Debian Bug report logs - #495068
vile: embedding perl needs PERL_SYS_INIT3()

version graph

Package: vile; Maintainer for vile is Brendan O'Dea <bod@debian.org>; Source for vile is src:vile.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Thu, 14 Aug 2008 10:57:30 UTC

Severity: important

Found in version vile/9.6m-1

Fixed in version 9.7j-1

Done: Paul van Tilburg <paulvt@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Brendan O'Dea <bod@debian.org>:
Bug#495068; Package vile. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: vile: embedding perl needs PERL_SYS_INIT3()
Date: Thu, 14 Aug 2008 13:52:53 +0300
Package: vile
Version: 9.6m-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-sys-init3

As described in the 'perlembed' document, programs embedding Perl
must use the PERL_SYS_INIT3() and PERL_SYS_TERM() macros to provide
system-specific tune up of the C runtime environment necessary to run
Perl interpreters.

Your package has been identified as failing this:

- at least one of the binary packages built from the source depends
on libperl5.10

- the unpacked source matches 'perl_parse' but not 'PERL_SYS_INIT3'

As a consequence, the embedded Perl interpreter is most probably
broken on the hppa architecture, where PERL_SYS_INIT3() is needed for
initializing lock structures. Without this, calling perl_parse() will
hang inside pthread_mutex_lock(). See #486069 for more information.

Cheers, 
-- 
Niko Tyni   ntyni@debian.org





Reply sent to Paul van Tilburg <paulvt@debian.org>:
You have taken responsibility. (Tue, 24 Feb 2009 12:27:06 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Tue, 24 Feb 2009 12:27:07 GMT) Full text and rfc822 format available.

Message #10 received at 495068-done@bugs.debian.org (full text, mbox):

From: Paul van Tilburg <paulvt@debian.org>
To: 495068-done@bugs.debian.org
Subject: Fixed upstream in vile 9.7e
Date: Tue, 24 Feb 2009 13:25:58 +0100
Version: 9.7j-1

Hi,

This bug was fixed upstream in 9.7e. (I didn't caught this before.)
The changelog:

20080928 (e)
        > Tom Dickey:
        + add checks to two places where a empty buffer would be reused when
          loading a new buffer, to disallow that if the first buffer was one
          specified on the command-line. This case is addressed:
                mkdir foo bar
                vile foo/file bar/file
          as well as toggling the current/alternate buffers with "_" (report
          by Decklin Foster).
        + add Haskell (haskell) mode.
        + add objective-c (objc) mode.
        + use PERL_SYS_INIT3() and PERL_SYS_TERM() in perl.xs (Debian #495068).
        + fixes to resume UTF-8 after suspend (^Z) or subshell (report by Janis
          Rucis).

Fixed by the upload of 9.7j-1:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 09 Jan 2009 13:51:50 +0100
Source: vile
Binary: vile-common vile vile-filters xvile
Architecture: source all amd64
Version: 9.7j-1
Distribution: unstable
Urgency: low
Maintainer: Brendan O'Dea <bod@debian.org>
Changed-By: Paul van Tilburg <paulvt@debian.org>
Description: 
 vile       - VI Like Emacs - vi work-alike
 vile-common - VI Like Emacs - support files for vile/xvile
 vile-filters - VI Like Emacs - highlighting filters for vile/xvile
 xvile      - VI Like Emacs - vi work-alike (X11)
Changes: 
 vile (9.7j-1) unstable; urgency=low
 .
   * New upstream release.
   * Now that an upstream tarball is available next to version revision
     patches, removed the version 9.6 revision patches and the patch
     rules from debian/control.
   * Bumped the standars version to 3.8.0; no changes required.
Checksums-Sha1: 
 a6a88d1f04c03be8d167ff10d927af76a2e795fa 1087 vile_9.7j-1.dsc
 0c08c9c6214cf5574530d05c3fedc53af6593696 1824456 vile_9.7j.orig.tar.gz
 5cdd3872119fbe240d6accc512e5189c5d056d6a 7826 vile_9.7j-1.diff.gz
 af93eb909b44456b8e9fe5482a284919f304fae5 549786 vile-common_9.7j-1_all.deb
 5f8d564989ce83006aae8c41655a9a38db3620dd 389038 vile_9.7j-1_amd64.deb
 67883a285b0ecfa1029006f3de3534c12d079f12 509108 vile-filters_9.7j-1_amd64.deb
 e4db659d820d363eae6dd9555123961792eb2939 416034 xvile_9.7j-1_amd64.deb
Checksums-Sha256: 
 8ba7a0d3d265df7bb9bdc7673e4e5a1f5211a2a8381cafc3f5e8245016e775c9 1087 vile_9.7j-1.dsc
 6c3e57ef9cc01c0fa8a739e7a58d16580c4a376fce42c873de808e58815e8f52 1824456 vile_9.7j.orig.tar.gz
 2fad14425fa7ddb975e3ccc4881adaedb89b52b5d45bb73e2d95bdb2b4c2489e 7826 vile_9.7j-1.diff.gz
 a3a60e7234a066a58adb3856a6da95e4bf0c56044d99b5a9481eac96474e5bff 549786 vile-common_9.7j-1_all.deb
 09510e2d5cda63488d4812f989c756a915599d2134e082a15725f7b6bec28cf5 389038 vile_9.7j-1_amd64.deb
 f64973aeebdbbde29bb85c6f599e3581d84b3060ddb67064dc49154a176ddee4 509108 vile-filters_9.7j-1_amd64.deb
 2383f55a9a11a91bf948f5ed4742e83338e14234d90bd9778e1c4bb85a24947a 416034 xvile_9.7j-1_amd64.deb
Files: 
 fc529d8106a8af1960ceee97f4d30ee4 1087 editors optional vile_9.7j-1.dsc
 738dd90bd6d5d943176671569da22742 1824456 editors optional vile_9.7j.orig.tar.gz
 8ecd07c700eb58a1f478c08d3203ba47 7826 editors optional vile_9.7j-1.diff.gz
 a31fb374fcd626770b61dfe441f54750 549786 editors optional vile-common_9.7j-1_all.deb
 093a3724194e61e71916768c48fc9231 389038 editors optional vile_9.7j-1_amd64.deb
 072eef8fcfe25c64ba8f27a6abf4d95f 509108 editors optional vile-filters_9.7j-1_amd64.deb
 d62a3a67046eca6a23b950e33af60e03 416034 editors optional xvile_9.7j-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklnSkUACgkQJBBhylAGQYEAWACfTepU8phWWY9SqlbuWR15vpYR
RakAnR1x/Ku0hWNfe6d3DWSD02Usr77K
=qI3E
-----END PGP SIGNATURE-----

Thanks,

Paul

-- 
PhD Student @ Eindhoven                     | email: paulvt@debian.org
University of Technology, The Netherlands   | JID: paul@luon.net
>>> Using the Power of Debian GNU/Linux <<< | GnuPG key ID: 0x50064181




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 25 Mar 2009 07:29:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:18:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.